curl --request GET \
--url https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assetsimport requests
url = "https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"TargetId": "<string>",
"IP": "<string>",
"Icon": "<string>",
"ScanId": 123,
"ScanType": "<string>",
"agentIsOnline": true,
"AssetName": "<string>",
"AssetId": "<string>",
"AssetIp": "<string>",
"OSName": "<string>",
"TotalNumberOfVulnerabilities": 123,
"NumberOfCriticalVulnerabilities": 123,
"NumberOfHighVulnerabilities": 123,
"NumberOfMediumVulnerabilities": 123,
"NumberOfLowVulnerabilities": 123,
"NumberOfInformationalVulnerabilities": 123,
"AssetScore": "<string>",
"HasAgentInstalled": true,
"AgentIsOnline": true,
"Tags": "<string>",
"FingerPrint": "<string>",
"FinishTime": "2023-11-07T05:31:56Z"
}
]Assets list with vulnerability counts
Returns a list of assets and their vulnerability totals (critical/high/medium/low/info), along with basic asset metadata.
Required headers:
Authorization: access_token {token}
Headers
Query Parameters
The **assetType** query parameter determines which asset types are returned by the API.
When:
- **assetType=internal**, the response includes assets with **Internal Authenticated** and **Internal Unauthenticated** vulnerabilities.
- **assetType=external**, the response includes assets with **External – IP Addresses** and **External – Web Application URLs** vulnerabilities.
Response
OK
Unique identifier for the target asset.
IP address of the asset.
Icon representing the asset.
Identifier of the scan in which the asset was included.
Type of vulnerability scan performed on the asset.
Indicates whether the agent on the asset is currently online.
Name of the asset.
Id of the asset.
IP address of the asset.
Operating System of the asset.
Total number of vulnerabilities identified for this asset.
Number of vulnerabilities with Critical severity identified for this asset.
Number of vulnerabilities with High severity identified for this asset.
Number of vulnerabilities with Medium severity identified for this asset.
Number of vulnerabilities with Low severity identified for this asset.
Number of vulnerabilities with Informational severity identified for this asset.
The asset score indicating the overall risk level of the asset.
Indicates whether an agent is currently installed on the asset.
Indicates whether this asset is online.
Tags associated with this asset.
The asset fingerprint for this asset.
The date and time when the asset was last scanned.
